<template>
  <el-select filterable :value="value" @change="change" v-bind="$attrs" clearable>
    <el-option v-for="dock in getDock" :key="dock.id" :label="dock.titleZh" :value="dock.id"></el-option>
  </el-select>
</template>

<script>
/**
 * 码头
 */
export default {
  name: "dockSelect",
  inheritAttrs: false,
  props: {
    value: Number,
    allDocks: Array,
  },
  model: {
    prop: "value",
    event: "change",
  },
  data() {
    return {};
  },
  computed: {
    getDock() {
      return this.allDocks;
    },
  },
  methods: {
    change(val) {
      this.$emit("change", val);
    },
  },
};
</script>
